Bug 253044 - fedora 7 no longer mounts swap partition
fedora 7 no longer mounts swap partition
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-08-16 14:32 EDT by cornel panceac
Modified: 2014-03-16 23:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-29 15:09:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description cornel panceac 2007-08-16 14:32:15 EDT
Description of problem:
for unknown reasons, fedora 7 is no longer mounting swap partition on my f7

Version-Release number of selected component (if applicable):

How reproducible:
reboot computer

Steps to Reproduce:
Actual results:
free shows 0/0/0 at swap line

Expected results:
free shows
Swap:      1004052          0    1004052

Additional info:
the bugs appeared two months ago in the first computer, today (16th of august
2007)in the second computer.
on the first computer, only things i did was yum update and such. on the second
computer i did a lot of crazy things, like instaling seedit-gui, wich took me by
surprise today when, at the next boot, wanted to relabel the filesystem. from
that point on, things became very strange. (after relabel, reboot, after reboot,
reboot again.) i am _not sure_ if at the third boot, when the computer started,
the swap was still there, but, at some point in time, i've found out i have not
enough ram to install vmware server. from that moment on, swap was available
only if i mounted manually. i tested it's existence on runlevel 3,2,1. was
nowwhere to be found. unfortunately, the first copmputer is no longer available
(it was replaced). i's really like to fix this probem. i suspect some other
things no longer work during boot, because of nonexistence of swap, or maybe for
other reason (i've seen one of my network cards failing to start). also, i
believe ,the network configuration changes from runlevel 1 to runlevel 5 (my
nvidia card starts by being eth0 and ends by being eth1. i have no idea if this
things are related.
Comment 1 Bill Nottingham 2007-08-29 13:28:44 EDT
What does your fstab look like, and what happens if you run 'swapon -a -e' by hand?

I suspect that seedit-gui has broken your policy, but that's only a guess.
Comment 2 cornel panceac 2007-08-29 14:28:52 EDT
unfortunately i've removed that fedora install two hours ago. thnx anyway.

fstab looked like this:

LABEL=/1               /                       ext3    defaults        1 1
tmpfs                   /dev/shm                tmpfs   defaults        0 0
devpts                  /dev/pts                devpts  gid=5,mode=620  0 0
sysfs                   /sys                    sysfs   defaults        0 0
proc                    /proc                   proc    defaults        0 0
LABEL=SWAP-sda3         swap                    swap    defaults        0 0
LABEL=/home             /home                   auto    defaults        0 0
LABEL=/mnt/music        /mnt/music              auto    defaults        0 0
LABEL=/mnt/lfs          /mnt/lfs                auto    defaults        0 0

never run swapon -a -e but swapon -a and mount -a did nothing. however, mounting
swap with swapom <partition> worked. the behaviour reminds me of early ntf-3g +
fuse when i had to put ntfs-rg <partition> <mount-point> in rc.local, since it
was avcdenied during boot. 
(i do not remember having seedit-gui on the first computer.)

imho we should close this bug since we can not longer get more info.
Comment 3 Bill Nottingham 2007-08-29 15:09:53 EDT
Comment 4 cornel panceac 2007-08-29 15:19:43 EDT
thnx again

Note You need to log in before you can comment on or make changes to this bug.